#ifndef ELDBUS_FPRINT_MANAGER_H
#define ELDBUS_FPRINT_MANAGER_H

#include <Eina.h>
#include <Ecore.h>
#include <Eldbus.h>
#include "eldbus_utils.h"

Eldbus_Proxy *fprint_manager_proxy_get(Eldbus_Connection *conn, const char *bus, const char *path);
void fprint_manager_proxy_unref(Eldbus_Proxy *proxy);
void fprint_manager_log_domain_set(int id);
typedef void (*Fprint_Manager_Get_Devices_Cb)(Eldbus_Proxy *proxy, void *data, Eldbus_Pending *pending, Eldbus_Error_Info *error, Eina_Value *args);
Eldbus_Pending *fprint_manager_get_devices_call(Eldbus_Proxy *proxy, Fprint_Manager_Get_Devices_Cb cb, const void *data);
typedef void (*Fprint_Manager_Get_Default_Device_Cb)(Eldbus_Proxy *proxy, void *data, Eldbus_Pending *pending, Eldbus_Error_Info *error, const char *device);
Eldbus_Pending *fprint_manager_get_default_device_call(Eldbus_Proxy *proxy, Fprint_Manager_Get_Default_Device_Cb cb, const void *data);

#endif